Bug 1269433 - [ja_JP] Need to translate a string on user->event notifier->manage events pane.
[ja_JP] Need to translate a string on user->event notifier->manage events pane.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
All Linux
medium Severity medium (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Alexander Wels
Yuko Katabami
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 06:46 EDT by Bhushan Barve
Modified: 2016-02-18 06:03 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:03:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
rule-engine: planning_ack+
ecohen: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
untranslated string (160.66 KB, image/png)
2015-10-07 06:46 EDT, Bhushan Barve
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51794 master MERGED webadmin: increase default nodes in cell tree 2016-01-13 11:20 EST
oVirt gerrit 51801 ovirt-engine-3.6 MERGED webadmin: increase default nodes in cell tree 2016-01-13 18:15 EST

  None (edit)
Description Bhushan Barve 2015-10-07 06:46:12 EDT
Description of problem:Need to translate a string on user->event notifier->manage events pane. The string 'show more' which appears after clicking on expand all button is in English. It occurs at 3 places on the same pane.


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager バージョン: 3.6.0-0.16.master.el6

How reproducible:
always

Steps to Reproduce:
1.Login to RHEVM with ja_JP locale
2.Go to user->event notifier->manage events pane
3.Click on expand.

Actual results:
The string 'show more' is untranslated.

Expected results:
All the strings should be translated.

Additional info:
Comment 1 Bhushan Barve 2015-10-07 06:46 EDT
Created attachment 1080594 [details]
untranslated string
Comment 2 Einav Cohen 2016-01-12 09:03:33 EST
The "Show more" string appears to be originating from the auto-generated GWT CellTree [1]. 

@Alexander: Do we have a way to localize this string somehow, i.e. externalize it to a string-resource file (Messages/Constants/.properties) and ensure its locale-sensitive rendering?
If not - please close on CANT_FIX. Thanks. 

[1] [ovirt-engine-code-root (master)]$ grep -r "Show more" . 
./frontend/webadmin/modules/webadmin/gen/com/google/gwt/user/cellview/client/CellTree_CellTreeMessages_en_US.java:    return "Show more";
./frontend/webadmin/modules/webadmin/target/webadmin-3.6.0-SNAPSHOT/AA0617535B5EBE9A2123A7B361D07D7F.cache.html:...
./frontend/webadmin/modules/webadmin/target/generated-gwt/webadmin/AA0617535B5EBE9A2123A7B361D07D7F.cache.html:...
...
Comment 3 Alexander Wels 2016-01-13 09:22:25 EST
Interesting, I personally don't think the show more links should show up at all. They make no sense in that particular dialog when you have already clicked expand all. I am going to investigate options to turn that off for that dialog.
Comment 4 Sandro Bonazzola 2016-01-27 08:47:43 EST
Alexander, this bug is targeted to 4.0 but it's referenced in 3.6.3 git log and it's in modified state. Can you please check?
Comment 5 Alexander Wels 2016-01-27 08:54:58 EST
Not sure why it is targeted at 4.0. Its an issue I have fixed for 3.6 already. Changing target to be 3.6.3
Comment 6 Red Hat Bugzilla Rules Engine 2016-01-27 08:55:00 EST
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 7 Red Hat Bugzilla Rules Engine 2016-01-28 07:15:46 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 8 Red Hat Bugzilla Rules Engine 2016-01-28 07:24:29 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 9 Red Hat Bugzilla Rules Engine 2016-01-28 07:29:08 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 10 Bhushan Barve 2016-02-17 03:25:58 EST
Verified with  Red Hat Enterprise Virtualization Manager バージョン: 3.6.3-0.1.el6.
The The 'show more' link does not appear on the mentioned screen any more as mentioned in comment #3.

Marking it as Verified.

Note You need to log in before you can comment on or make changes to this bug.